Subject: Re: [PATCH] staging: qlge: Replace the occurrences of (1<<x) by BIT(x)

From: Nandha Kumar Singaram <[email-masked]>
Date: Tue, 17 Oct 2023 07:23:13 -0700

On Tue, Oct 17, 2023 at 11:18:14AM +0200, Simon Horman wrote:
> On Sun, Oct 15, 2023 at 06:35:58AM -0700, Nandha Kumar Singaram wrote:
> > Adhere to linux coding style. Reported by checkpatch.pl:
> > CHECK: Prefer using the BIT macro
> > 
> > Signed-off-by: Nandha Kumar Singaram <[email-masked]>
> 
> Hi Nandha,
> 
> I am assuming that checkpatch clean ups are acceptable, perhaps
> even desired, in staging. So this patch seems appropriate to me.
> 
> I do, however, see a lot more potential uses of BIT() in qlge.h.
> Could you take a second look?
> 
> ...

Hi Simon,

I will look into it and update the patch

Thanks,
Nandha Kumar Singaram